wibble::tests::TestRegexp Struct Reference

`#include <tests.h>`

## Public Member Functions

| TestRegexp (const std::string &actual, const std::string &regexp, bool inverted=false)
TestRegexp | operator! ()
void | check (WIBBLE_TEST_LOCPRM) const

## Public Attributes

std::string | actual
std::string | regexp
bool | inverted

## Constructor & Destructor Documentation

## TestRegexp()

wibble::tests::TestRegexp::TestRegexp | ( | const std::string & | actual,
|  | const std::string & | regexp,
|  | bool | inverted = `false`
| ) |  |

inline

Referenced by operator!().

## Member Function Documentation

## check()

void wibble::tests::TestRegexp::check | ( | WIBBLE_TEST_LOCPRM |  | ) | const

References actual, wibble::tests::Location::fail_test(), inverted, wibble::Regexp::match(), regexp, and wibble_test_location.

## operator!()

TestRegexp wibble::tests::TestRegexp::operator! | ( |  | ) |

inline

References actual, inverted, regexp, and TestRegexp().

## Member Data Documentation

## actual

std::string wibble::tests::TestRegexp::actual

Referenced by check(), and operator!().

## inverted

bool wibble::tests::TestRegexp::inverted

Referenced by check(), and operator!().

## regexp

std::string wibble::tests::TestRegexp::regexp

Referenced by check(), and operator!().

The documentation for this struct was generated from the following files:

- tests.h
- tests.cpp